import hrp
import hstsetup
from hrp import *

ms = findPluginManager("motionsys")

stabilizer = waitInputSelect("Use dynamic stabilizer?")

if stabilizer:
    ms.load("kfplugin")
    kf = ms.create("kfplugin","kf","")

ms.load("seqplay")
seq = SequencePlayerHelper.narrow(ms.create("seqplay","seq",""))

ms.load("libgenom-openhrp")
ge = ms.create("libgenom-openhrp","genom-openhrp","")

if stabilizer:
    ms.load("hstabilizer")
    st = ms.create("hstabilizer","st","")

seq.start()
seq.goHalfSitting(2.0)
seq.waitInterpolation()
if stabilizer:
    hstsetup.stsetup(st)

ge.start()
if stabilizer:
    kf.start()
    st.start()

waitInputConfirm("Robot started, press [OK]")
